#include <bits/stdc++.h>
using namespace std;

long long a[100002];

int main(){

    int n,l=0,r=0;
    long long k,sum=0,ans=0;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    while(l<=n-1){
        if(r==n-1 && sum<k){
            break;
        }
        if(sum>=k){
            ans+=n-r;
            l++;
            sum=0;
            for(int i=l;i<=r;i++){
                sum=sum|a[i];
            }
        }else{
            r++;
            sum=sum|a[r];
        }
    }
    cout<<ans;

    return 0;
}
